# ChangeLog for sys-kernel/hppa-sources
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/hppa-sources/ChangeLog,v 1.84 2007/12/15 16:42:17 jer Exp $

  15 Dec 2007; Jeroen Roovers <jer@gentoo.org> -files/lba-pci-no-crash.diff,
  -hppa-sources-2.6.16.24_p11.ebuild, -hppa-sources-2.6.17.6_p6.ebuild,
  -hppa-sources-2.6.17.7_p6.ebuild, -hppa-sources-2.6.17.10_p6.ebuild,
  -hppa-sources-2.6.18.2.ebuild, -hppa-sources-2.6.19.1.ebuild:
  Remove old versions (bug #202391).

  01 Oct 2007; Jeroen Roovers <jer@gentoo.org> metadata.xml:
  Linux 2.6 is released!

*hppa-sources-2.6.22 (13 Jul 2007)

  13 Jul 2007; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.22.ebuild:
  Version bump. That one fixes SMP (hopefully :).

*hppa-sources-2.6.20.1 (26 Feb 2007)

  26 Feb 2007; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.20.1.ebuild:
  Version bump.

  22 Feb 2007; Markus Ullmann <jokey@gentoo.org> ChangeLog:
  Redigest for Manifest2

  23 Dec 2006; Guy Martin <gmsoft@gentoo.org> ChangeLog:
  Version bump. Fix #157186, #154313, #154327, #155769.

*hppa-sources-2.6.18.2 (08 Nov 2006)

  08 Nov 2006; Guy Martin <gmsoft@gentoo.org> +files/lba-pci-no-crash.diff,
  +hppa-sources-2.6.18.2.ebuild:
  Version bump.

*hppa-sources-2.6.17.10_p6 (23 Aug 2006)

  23 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +hppa-sources-2.6.17.10_p6.ebuild:
  Revbump to 2.6.17.10, fixes CVE-2006-3745 and CVE-2006-4145

*hppa-sources-2.6.17.7_p6 (02 Aug 2006)

  02 Aug 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -hppa-sources-2.6.16.18_p11.ebuild, hppa-sources-2.6.16.24_p11.ebuild,
  -hppa-sources-2.6.17.4_p6.ebuild, +hppa-sources-2.6.17.7_p6.ebuild:
  Revbump to 2.6.17.7 to fix CVE-2006-2936 and minor cleanup

*hppa-sources-2.6.17.6_p6 (18 Jul 2006)

  18 Jul 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.17.6_p6.ebuild:
  Version bump. Fix nasty /proc race (#140444).

*hppa-sources-2.6.17.4_p6 (12 Jul 2006)

  12 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +hppa-sources-2.6.17.4_p6.ebuild:
  New 2.6.17.4-pa6

  12 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  -files/CAN-2004-1056.patch, -files/CAN-2004-1235.patch,
  -files/CVE-2005-3356.patch, -files/LKA-20050107.patch,
  -files/LSM-capability-fix.patch, -files/ide-cdrom-fix.patch,
  -files/nbd-no-panic.diff, -hppa-sources-2.6.10_p1.ebuild,
  -hppa-sources-2.6.10_p2.ebuild, -hppa-sources-2.6.10_p4.ebuild,
  -hppa-sources-2.6.10_p6.ebuild, -hppa-sources-2.6.10_p10.ebuild,
  -hppa-sources-2.6.10_p11.ebuild, -hppa-sources-2.6.11_p2.ebuild,
  -hppa-sources-2.6.12.2_p2.ebuild, -hppa-sources-2.6.12.4_p2.ebuild,
  -hppa-sources-2.6.13_p1.ebuild, -hppa-sources-2.6.14.2_p0.ebuild,
  -hppa-sources-2.6.14.3_p0.ebuild, -hppa-sources-2.6.15_p1.ebuild,
  -hppa-sources-2.6.15.1_p4.ebuild, -hppa-sources-2.6.15.4_p4.ebuild,
  -hppa-sources-2.6.16_p0.ebuild, -hppa-sources-2.6.16.5_p11.ebuild,
  -hppa-sources-2.6.16.9_p11.ebuild, -hppa-sources-2.6.16.14_p11.ebuild,
  -hppa-sources-2.6.16.22_p11.ebuild, -hppa-sources-2.6.16.23_p11.ebuild:
  Wicked cleanup

*hppa-sources-2.6.16.24_p11 (12 Jul 2006)

  12 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +hppa-sources-2.6.16.24_p11.ebuild:
  Revbump with 2.6.16.24, fixes CVE-2006-2451

*hppa-sources-2.6.16.23_p11 (03 Jul 2006)

  03 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +hppa-sources-2.6.16.23_p11.ebuild:
  Revbump with 2.6.16.23, fixes CVE-2006-2934

*hppa-sources-2.6.16.22_p11 (30 Jun 2006)

  30 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  +hppa-sources-2.6.16.22_p11.ebuild:
  Revbump with 2.6.16.22 and squashfs3

*hppa-sources-2.6.16.18_p11 (26 May 2006)

  26 May 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.16.18_p11.ebuild:
  Stable on hppa.

*hppa-sources-2.6.16.14_p11 (08 May 2006)

  08 May 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.16.14_p11.ebuild:
  Version bump. Fix #131126.

*hppa-sources-2.6.16.9_p11 (22 Apr 2006)

  22 Apr 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.16.9_p11.ebuild:
  Stable on hppa.

*hppa-sources-2.6.16.5_p11 (17 Apr 2006)

  17 Apr 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.16.5_p11.ebuild:
  Version bump + security fixes.

*hppa-sources-2.6.16_p0 (22 Mar 2006)

  22 Mar 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.16_p0.ebuild:
  Version bump.

*hppa-sources-2.6.15.4_p4 (16 Feb 2006)

  16 Feb 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.15.4_p4.ebuild:
  Version bump. Fix #121890 and #119562.

*hppa-sources-2.6.15.1_p4 (16 Jan 2006)

  16 Jan 2006; Guy Martin <gmsoft@gentoo.org> +files/CVE-2005-3356.patch,
  +hppa-sources-2.6.15.1_p4.ebuild:
  Version bump. Fix #119087 and #118693.

*hppa-sources-2.6.15_p1 (03 Jan 2006)

  03 Jan 2006; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.15_p1.ebuild:
  Version bump. Fix the MUX console and also #103553, #116486 and #114227.
  Marked directly stable.

*hppa-sources-2.6.14.3_p0 (05 Dec 2005)

  05 Dec 2005; Guy Martin <gmsoft@gentoo.org> +files/nbd-no-panic.diff,
  +hppa-sources-2.6.14.3_p0.ebuild:
  New revision + fix for nbd kernel panic (#105414).

*hppa-sources-2.6.14.2_p0 (18 Nov 2005)

  18 Nov 2005; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.14.2_p0.ebuild:
  New version !

*hppa-sources-2.6.13_p1 (05 Sep 2005)

  05 Sep 2005; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.13_p1.ebuild:
  Version bumped.

*hppa-sources-2.6.12.4_p2 (10 Aug 2005)

  10 Aug 2005; Guy Martin <gmsoft@gentoo.org> +files/ide-cdrom-fix.patch,
  +hppa-sources-2.6.12.4_p2.ebuild:
  New version with working ide-cdrom.

  12 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  -files/4705_squashfs-2.1.patch.bz2, hppa-sources-2.6.12.2_p2.ebuild:
  Move squashfs patch out of files/.

  12 Jul 2005; Tobias Scherbaum <dertobi123@gentoo.org>
  +files/4705_squashfs-2.1.patch.bz2, hppa-sources-2.6.12.2_p2.ebuild:
  Add squashfs patch, marked stable.

  03 Jul 2005; Guy Martin <gmsoft@gentoo.org>
  hppa-sources-2.6.12.2_p2.ebuild:
  Do not rely on kernel-2.eclass for patching

*hppa-sources-2.6.12.2_p2 (01 Jul 2005)

  01 Jul 2005; Guy Martin <gmsoft@gentoo.org>
  +hppa-sources-2.6.12.2_p2.ebuild:
  New outstanding version !

*hppa-sources-2.6.11_p2 (13 Mar 2005)

  13 Mar 2005; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.11_p2.ebuild:
  Version bump.

*hppa-sources-2.6.10_p11 (16 Jan 2005)

  16 Jan 2005; Guy Martin <gmsoft@gentoo.org> +files/LSM-capability-fix.patch,
  +hppa-sources-2.6.10_p11.ebuild:
  Version bump. Security fix.

*hppa-sources-2.6.10_p10 (10 Jan 2005)

  10 Jan 2005; Guy Martin <gmsoft@gentoo.org> -files/AF_UNIX-security.patch,
  -files/CAN-2004-0394.patch, -files/CAN-2004-0495-2.4-sparse.patch,
  -files/CAN-2004-0497.patch, -files/CAN-2004-0535-2.4-e1000.patch,
  -files/CAN-2004-0814.patch, -files/CAN-2004-0882-0883.patch,
  -files/CAN-2004-1074.patch, +files/CAN-2004-1235.patch,
  -files/CAN-2004-685.patch, +files/LKA-20050107.patch,
  -files/NFS-XDR-security.patch, -files/binfmt_elf-loader-security.patch,
  -files/security-proc-cmdline.patch, +hppa-sources-2.6.10_p10.ebuild:
  Version bump. Fix security issues (#77094, #77025). Remove old sources.

*hppa-sources-2.6.10_p6 (09 Jan 2005)

  09 Jan 2005; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.10_p6.ebuild:
  Version bump.

*hppa-sources-2.6.10_p4 (04 Jan 2005)

  04 Jan 2005; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.10_p4.ebuild:
  Version bump.

*hppa-sources-2.6.10_p2 (01 Jan 2005)

  01 Jan 2005; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.6.10_p2.ebuild:
  Version bump.

*hppa-sources-2.6.10_p1 (27 Dec 2004)

  27 Dec 2004; Guy Martin <gmsoft@gentoo.org> +files/CAN-2004-1056.patch,
  +hppa-sources-2.6.10_p1.ebuild:
  Dropping 2.4 sources for 2.6. 2.4 is no more supported upstream. Adding
  2.6.10-pa1.

*hppa-sources-2.4.27_p4-r2 (08 Dec 2004)

  08 Dec 2004; Guy Martin <gmsoft@gentoo.org> +files/CAN-2004-1074.patch,
  +hppa-sources-2.4.27_p4-r2.ebuild:
  Security fixes (#72452).

*hppa-sources-2.4.27_p4-r1 (24 Nov 2004)

  24 Nov 2004; Guy Martin <gmsoft@gentoo.org> +files/AF_UNIX-security.patch,
  +files/CAN-2004-0882-0883.patch, +files/NFS-XDR-security.patch,
  +files/binfmt_elf-loader-security.patch, +hppa-sources-2.4.27_p4-r1.ebuild:
  Various security fixes (#72317, #70681, #65877, #68421, #62524).

*hppa-sources-2.4.27_p4 (31 Aug 2004)

  31 Aug 2004; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.4.27_p4.ebuild:
  Version bump.

  09 Aug 2004; Guy Martin <gmsoft@gentoo.org>
  +files/security-proc-cmdline.patch, hppa-sources-2.4.26_p7-r1.ebuild:
  Fixed race condition in /proc/<pid>/cmdline (#59905).

*hppa-sources-2.4.26_p7-r1 (09 Aug 2004)

  09 Aug 2004; Guy Martin <gmsoft@gentoo.org> +files/CAN-2004-685.patch,
  +hppa-sources-2.4.26_p7-r1.ebuild:
  Added CAN-2004-685 and CAN-2004-0415 security fix (#59769 and #59378).

*hppa-sources-2.4.26_p7 (31 Jul 2004)

  31 Jul 2004; Guy Martin <gmsoft@gentoo.org> +hppa-sources-2.4.26_p7.ebuild:
  Bumped to -pa7. Added a config option for lasi tag queue dep.

*hppa-sources-2.4.26_p6-r1 (09 Jul 2004)

  09 Jul 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.26_p4.ebuild,
  hppa-sources-2.4.26_p6-r1.ebuild, hppa-sources-2.4.26_p6.ebuild,
  files/CAN-2004-0497.patch:
  CAN-2004-0497 fix. Removed old ebuild.

*hppa-sources-2.4.26_p6 (03 Jul 2004)

  03 Jul 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.26_p6.ebuild,
  files/CAN-2004-0495-2.4-sparse.patch, files/CAN-2004-0535-2.4-e1000.patch:
  Version bump. Harmony driver fix (alsa) + security fix.

*hppa-sources-2.4.26_p4 (07 Jun 2004)

  07 Jun 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.25_p1.ebuild,
  hppa-sources-2.4.26_p1.ebuild, hppa-sources-2.4.26_p4.ebuild,
  files/CAN-2004-0394.patch:
  Bumped version. Include CAN-2004-0394 fix. Removed other older ebuilds.

  13 May 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p10.ebuild,
  hppa-sources-2.4.21_p13.ebuild, hppa-sources-2.4.21_p2.ebuild,
  hppa-sources-2.4.21_p6.ebuild, hppa-sources-2.4.21_p7.ebuild,
  hppa-sources-2.4.21_p8.ebuild, hppa-sources-2.4.21_p9.ebuild,
  hppa-sources-2.4.22_p10.ebuild, hppa-sources-2.4.22_p13.ebuild,
  hppa-sources-2.4.22_p17.ebuild, hppa-sources-2.4.22_p6.ebuild,
  hppa-sources-2.4.23_p3.ebuild, hppa-sources-2.4.23_p4-r1.ebuild,
  hppa-sources-2.4.23_p4-r2.ebuild, hppa-sources-2.4.23_p4.ebuild,
  hppa-sources-2.4.24_p0-r1.ebuild, hppa-sources-2.4.24_p0.ebuild,
  files/do_brk_fix.patch, files/hppa-sources.CAN-2003-0985.patch,
  files/hppa-sources.munmap.patch, files/hppa-sources.rtc_fix.patch:
  Pruned old sources.

*hppa-sources-2.4.26_p1 (27 Apr 2004)

  27 Apr 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  hppa-sources-2.4.26_p1.ebuild:
  new pateam kernel 2.4.26-pa1 imported

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  hppa-sources-2.4.22_p13.ebuild, hppa-sources-2.4.22_p17.ebuild,
  hppa-sources-2.4.23_p4-r1.ebuild, hppa-sources-2.4.23_p4-r2.ebuild,
  hppa-sources-2.4.24_p0-r1.ebuild, hppa-sources-2.4.24_p0.ebuild,
  hppa-sources-2.4.25_p1.ebuild:
  Add inherit eutils

*hppa-sources-2.4.25_p1 (03 Apr 2004)

  03 Apr 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.25_p1.ebuild:
  Version bump.

*hppa-sources-2.4.24_p0-r1 (18 Feb 2004)

  18 Feb 2004; <plasmaroo@gentoo.org> hppa-sources-2.4.24_p0-r1.ebuild,
  files/hppa-sources.munmap.patch:
  Added the patch for the mremap/munmap vulnerability. Bug #42024.

*hppa-sources-2.4.24_p0 (12 Jan 2004)

  16 Jan 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.24_p0.ebuild :
  Fixed for older coreutils.

  12 Jan 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.24_p0.ebuild :
  Version bump.

*hppa-sources-2.4.23_p4-r2 (06 Jan 2004)

  07 Jan 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.23_p4-r2.ebuild :
  Marked stable.

  06 Jan 2004; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.23_p4-r2.ebuild :
  Added missing ioctl translations patch. Better handling of -r.

  06 Jan 2004; <plasmaroo@gentoo.org> hppa-sources-2.4.23_p4-r2.ebuild,
  files/hppa-sources.CAN-2003-0985.patch, files/hppa-sources.rtc_fix.patch:
  Added patches to address the security vulnerabilities in bugs #37292 and
  #37317.

*hppa-sources-2.4.23_p4-r1 (28 Dec 2003)

  28 Dec 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.23_p4-r1.ebuild :
  Added xfs support. Tweaks defconfig for more reasonable 'gentoo' defaults.

*hppa-sources-2.4.23_p4 (18 Dec 2003)

  18 Dec 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.23_p4.ebuild :
  New version. Alignement fix.

*hppa-sources-2.4.23_p3 (5 Dec 2003)

  05 Dec 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.23_p3.ebuild :
  New kernel release.

*hppa-sources-2.4.22_p17 (19 Nov 2003)

  01 Dec 2003; Brian Jackson <iggy@gentoo.org> hppa-sources-2.4.22_p13.ebuild,
  hppa-sources-2.4.22_p17.ebuild, files/do_brk_fix.patch :
  Fix the 'do_brk' vulnerability.

  19 Nov 2003; Guy Martin <gmsoft@gentoo.org> hppa-soures-2.4.22_p17.ebuild :
  Version bump. Should fix some segfault.

*hppa-sources-2.4.22_p13 (29 Oct 2003)

  29 Oct 2003; Guy Martin <gmsoft@gentoo.org> hppa-soures-2.4.22_p13.ebuild :
  Version bump.

*hppa-sources-2.4.22_p10 (29 Sep 2003)

  29 Sep 2003; Guy Martin <gmsoft@gentoo.org> hppa-soures-2.4.22_p10.ebuild :
  Version bump.

*hppa-sources-2.4.22_p6 (3 Sep 2003)

  03 Sep 2003; Guy Martin <gmsoft@gentoo.org> hppa-soures-2.4.22_p6.ebuild :
  Version bump.

*hppa-sources-2.4.21_p13 (22 Aug 2003)

  22 Aug 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p13.ebuild :
  Version bump.

*hppa-sources-2.4.21_p10 (13 Aug 2003)

  13 Aug 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p10.ebuild :
  Version bump.

*hppa-sources-2.4.21_p9 (05 Aug 2003)

  05 Aug 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p9.ebuild :
  Version bump. Improved patching method.

*hppa-sources-2.4.21_p8 (03 Aug 2003)

  03 Aug 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p8.ebuild :
  Version bump. Marked stable. Updated method of patching.

*hppa-sources-2.4.21_p7 (02 Aug 2003)

  02 Aug 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p7.ebuild :
  Version bump. Marked stable. Removed old versions. Updated SRC_URI.

*hppa-sources-2.4.21_p6 (29 Jul 2003)

  29 Jul 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p6.ebuild :
  Version bump. Marked stable. Removed old versions.

*hppa-sources-2.4.21_p2 (09 Jul 2003)

  09 Jul 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p2.ebuild :
  Version bump. Marked stable.

*hppa-sources-2.4.21_p1 (01 Jul 2003)

  01 Jul 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.21_p1.ebuild :
  Version bump.

*hppa-sources-2.4.20_p35 (10 May 2003)

  10 May 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p35.ebuild :
  Incremented patch level. This fix SMP build.

*hppa-sources-2.4.20_p32 (09 Apr 2003)

  09 Apr 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p32.ebuild :
  Incremented patch level. Marked stable. Done some improvements in the ebuild.

*hppa-sources-2.4.20_p27 (19 Feb 2003)

  06 Mar 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p27.ebuild :
  Changed ~hppa to hppa.

  10 Feb 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p27.ebuild :
  Incremented patch level.

*hppa-sources-2.4.20_p26 (10 Feb 2003)

  10 Feb 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p26.ebuild :
  Incremented patch level.

*hppa-sources-2.4.20_p24 (09 Feb 2003)

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p24.ebuild :
  Incremented patch level.

*hppa-sources-2.4.20_p23 (08 Feb 2003)

  08 Feb 2003; Guy Martin <gmsoft@gentoo.org> hppa-sources-2.4.20_p23.ebuild :
  Initial import.
